#ifndef INCLUDE__ScriptingDock_hxx
#define INCLUDE__ScriptingDock_hxx
#include "gui/qt.hxx"
#include <libguile.h>
#include <log4cxx/logger.h>

class ScriptingDock : public QDockWidget {
	Q_OBJECT

public:
	ScriptingDock(const QString& title, QWidget * parent = 0);

private:
	log4cxx::LoggerPtr logger;

	QTextBrowser * browser;
	QGridLayout * layout;
	QPushButton * button;
	QLineEdit * line;

	SCM guile_output_port;
	SCM guile_error_port;
private Q_SLOTS:
	void doEvaluate();
};

#endif
